PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetDepthStratum

Get the bounds [start, end) for all points at a certain depth.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepthStratum(DM dm, PetscInt stratumValue, PetscInt *start, PetscInt *end)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| stratumValue | - The requested depth

### Output Parameters

| start | - The first point at this depth
| end | - One beyond the last point at this depth

### Notes

Depth indexing is related to topological dimension. Depth stratum 0 contains the lowest topological dimension points, often "vertices". If the mesh is "interpolated" (see DMPlexInterpolate()), then depth stratum 1 contains the next higher dimension, e.g., "edges".

### See Also

DMPlexGetHeightStratum(), DMPlexGetDepth(), DMPlexGetDepthLabel(), DMPlexGetPointDepth(), DMPlexSymmetrize(), DMPlexInterpolate()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/tutorials/ex7.c.html
src/ts/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages